Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.math.flow
Class BiGraph

    java.lang.Object
      net.sf.j3d.math.flow.BiGraph

    public class BiGraph

extends Object

Constructor Summary
`BiGraph(int nodes)`

Method Summary
`double` | `alpha()`
`void` | `augment(int k)`
`void` | `augment(int k, boolean[] used)`
`boolean` | `compare(boolean[] a, boolean[] b)`
`void` | `initLabels()`
`void` | `initS()`
`void` | `initT()`
`boolean` | `inSubgraph(int x, int y)`
`boolean` | `isComplete()`
`static void` | `main(String[] args)`
`int` | `matched(int y)`
`boolean[]` | `neighbors()`
`int[]` | `optimizeMatching()`
`void` | `setMinimize(boolean min)`
`void` | `setWeight(int x, int y, double w)`
`int` | `unmatched()`
`void` | `updateLabels(boolean[] b, double[] x, double a)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiGraph

    public BiGraph(int nodes)

Method Detail

### main

    public static void main(String[] args)

### setMinimize

    public void setMinimize(boolean min)

### optimizeMatching

    public int[] optimizeMatching()

### setWeight

    public void setWeight(int x,
                          int y,
                          double w)

### initLabels

    public void initLabels()

### initS

    public void initS()

### initT

    public void initT()

### inSubgraph

    public boolean inSubgraph(int x,
                              int y)

### alpha

    public double alpha()

### augment

    public void augment(int k)

### augment

    public void augment(int k,
                        boolean[] used)

### updateLabels

    public void updateLabels(boolean[] b,
                             double[] x,
                             double a)

### neighbors

    public boolean[] neighbors()

### matched

    public int matched(int y)

### unmatched

    public int unmatched()

### isComplete

    public boolean isComplete()

### compare

    public boolean compare(boolean[] a,
                           boolean[] b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD